Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.batchindexing
Class IdentifierConsumerEntityProducer

    java.lang.Object
      org.hibernate.search.batchindexing.IdentifierConsumerEntityProducer

All Implemented Interfaces:
  java.lang.Runnable

    public class IdentifierConsumerEntityProducer

extends java.lang.Object
implements java.lang.Runnable

This Runnable is consuming entity identifiers and producing loaded detached entities for the next queue. It will finish when the queue it's consuming from will signal there are no more identifiers.

Author:
  Sanne Grinovero

Constructor Summary
`IdentifierConsumerEntityProducer(ProducerConsumerQueue<java.util.List<java.io.Serializable>> fromIdentifierListToEntities, ProducerConsumerQueue<java.lang.Object> fromEntityToAddwork, MassIndexerProgressMonitor monitor, org.hibernate.SessionFactory sessionFactory, org.hibernate.CacheMode cacheMode, java.lang.Class<?> type)`

Method Summary
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdentifierConsumerEntityProducer

    public IdentifierConsumerEntityProducer(ProducerConsumerQueue<java.util.List<java.io.Serializable>> fromIdentifierListToEntities,
                                            ProducerConsumerQueue<java.lang.Object> fromEntityToAddwork,
                                            MassIndexerProgressMonitor monitor,
                                            org.hibernate.SessionFactory sessionFactory,
                                            org.hibernate.CacheMode cacheMode,
                                            java.lang.Class<?> type)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.